﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DateTimePickerParsing
{
	public class ViewModel : ViewModelBase
	{
		private DateTime startDate;
		private DateTime endDate;
		private DateTime? selectedDate;

		public ViewModel()
		{
			this.StartDate = DateTime.Now;
			this.EndDate = new DateTime(2020, 1, 1);
			this.SelectedDate = DateTime.Now;
		}

		public DateTime StartDate
		{
			get
			{
				return this.startDate;
			}
			set
			{
				this.startDate = value;
				this.OnPropertyChanged("StartDate");
			}
		}

		public DateTime EndDate
		{
			get
			{
				return this.endDate;
			}
			set
			{
				this.endDate = value;
				this.OnPropertyChanged("EndDate");
			}
		}

		public DateTime? SelectedDate
		{
			get
			{
				return this.selectedDate;
			}
			set
			{
				this.selectedDate = value;
				this.OnPropertyChanged("SelectedDate");
			}
		}
	}
}
